Introduction

Navigation: »No topics above this level«

TreeSize Free - Introduction

 Return to chapter overview

Every hard disk is too small if you just wait long enough. TreeSize Free tells you where precious space has gone to. It can be started from the context menu of a folder or drive and shows you the size of this folder, including its sub-folders. You can expand this folder in Explorer-like style and you will see the size of every sub-folder. Scanning is done in a thread, so you can already see results while TreeSize Free is working. The space, which is wasted by the file system can be displayed and the results can be printed in a report.


Installation

Simply execute the installer and follow the instructions. TreeSize Free can be uninstalled through the Windows Control Panel. Supported operating systems are Windows XP and later, including the 64Bit editions.

Portable installation

In addition to the normal installer, TreeSize Free is available as a ZIP file, which saves its settings locally and can e.g. be run from a portable medium such as an USB stick.


Tips & Annotations

The following information is important. Provided are instructions and information which makes understanding of TreeSize and how to use it easier.

· The allocated space that Windows shows in the properties dialog of the drive may be larger than the allocated space reported by TreeSize Free. The Windows Explorer shows the space that is physically allocated on the drive while TreeSize Free shows the space that is occupied by all files under a certain path. Please make sure that you have the view option "Allocated Space" activated when you are interested in the physically allocated space. Another reason for this difference can be that not all parts of the drive could be scanned due to access restrictions. Therefore it is highly recommended to run TreeSize Free as administrator. Turn on "View > Options > Show Errors Messages" to be notified if a folder cannot be scanned. Beyond the space that is needed for storing the files itself, additional space is used for storing management data like the File Allocation Table of the file system or the boot sector. It is not possible to free this space with TreeSize Free or any other tool. This is usually 0.5 - 2% of the occupied space. Another possibility is that you are using a Software RAID - like Windows offers - which spreads the data with redundancy over several disks. These disks will appear as one logical volume and the failure of a single disk will not cause any data loss. But for storing the redundant information, additional space is needed. On Thinkpad laptops the Rescue&Recovery feature may use a lot of disk space in the folder "RRBackup" which is not accessible to other applications.
· All folders which are visible in the window, will be included in the printed report. If you want a complete report, select the top folder and select "Full Expand" from the context menu.
· The indicator bars in the background, which can be selected to appear in the View menu, indicate the size of a folder relative to the scanned folders.
· You can use the CD-ROM cluster size to determine how much space a directory tree would occupy on a CD-ROM.
· By default the Windows folder "System Volume Information" is not accessible for users as well as Administrators (you can check this in the Windows Explorer after switching the hidden files to "on").
· Only file system folders can be scanned with TreeSize Free.
· The Professional and the Personal Edition can also take NTFS Alternate Data Streams and hardlinks into account and so produce more exact results.


TreeSize Professional / Personal

As alternative to TreeSize Free, TreeSize Professional and TreeSize Personal are available as well. They provide not only the features of TreeSize Free, but also have a lot more powerful features :

· Several exporting and reporting possibilities: Printed report (showing the directory structure), Excel, HTML, XML, text file, clipboard.
· Ability to save the collected data to an XML file and to load it again later.
· A saved XML file can be used to compare it against the current version of the file system branch. The difference between the two scans will be displayed and makes it easy to see which folders have grown. It is also possible to use Snapshots (System restore points) of any drive instead of XML-files.
· Use the new Ribbon Interface to access all commands. Coherent commands are collected in tabs to improve the clarity of TreeSize.
· Statistics about file types, file owners and file ages on directory level.
· List of Top 100 biggest files.
· High performance through multi-threading: Scan and view several folders at the same time, automatic adjustment of the number of threads that are used for a scan.
· See all details (size, allocated, wasted, percent, files) at a glance.
· The visible columns can be configured separately for the Details view, Excel export, HTML export, Text export and printed reports. A lot of optional columns are available.
· A shell extensions is included that adds an additional column with the caption "TreeSize" to the Windows XP/2003 Explorer that shows the size not only for files but also for folders.
· 3D bar and pie charts, as well as a hierarchical tree map can be displayed or printed.
· The contents of a directory can be printed, including all files and the corresponding icons.
· A list of all files in the scanned branch can be exported.
· The integrated multi-path file search helps you to find and archive the largest, oldest, obsolete and temporary files, e.g. invalid shortcuts or files owned by a non existent account.
· Duplicate File Search with MD5 checksums and the possibility to deduplicate files
· A fully customizable file search is available too.
· The search results can be exported, moved, zipped or deleted or passed to an executable as paramter.
· Ability to scan folders to which the current user does not normally have access to.
· Command line options allow scheduled scans. An integrated wizard helps you to set up scheduled scans. (Only Professional edition)
· Detailed Help file and printable manual.
· And much more. Please find a comparison matrix on our website.

Find more information as well as a full featured trial version at: http://www.jam-software.com/treesize/


What's New

Navigation: »No topics above this level«

What's new?

 Return to chapter overview

Version 3.2.1: Released on 27 Oct 2014

· The scan performance on slow HDD drives has been improved.
· Bugfix: Minor problems occurring when scanning network shares on non-Windows Server systems have been fixed.
· Bugfix: Several minor improvements and a few minor fixes have been incorporated.

Version 3.2: Released on 30 Sep 2014

· TreeSize Free now scans network drives (except Windows servers and network drives within a Windows domain).
· Bugfix: After deleting a file using SHIFT+DEL the directory tree is now updated correctly again.
· Bugfix: Several minor improvements and a few minor fixes have been incorporated.

Version 3.1.1: Released on 01 Sep 2014

· Bugfix: Sometimes the scan of a local NTFS drive lead to unexpected errors and the scan could not be processed correctly.
· Bugfix: Updating a single directory in the directory tree no longer refreshes the complete scan.
· Bugfix: Deleting a folder using the DEL now works again on machines running Windows Vista.
· Bugfix: The toolbar no longer flickers when resizing the window.

Version 3.1: Released on 12 August 2014

· TreeSize Free supports selection of multiple files now, e.g. to delete or move them.
· Users can now search for folders in the directory tree.
· Entries in the "Options" menu have been categorized.
· To always run TreeSize Free with administrator privileges, simply select "Always start this application as administrator" under "Options > Application".
· Several minor improvements and a few minor fixes have been incorporated.

Version 3.0.1: Released on 03 Apr 2014

· The column layout in printed reports has been rectified.
· Bugfix: [Files]-item on top level is displayed again.
· Bugfix: After deleting files via the context menu or the DEL key, the directory tree will be refreshed automatically.

Version 3.0: Released on 10 Mar 2014

· TreeSize Free can now be switched to a column mode, in which it shows more detailed information about each file and folder.
o You can toggle between the new and the classic view using "Show Details" in the "View" menu or the corresponding button in the toolbar.
o You can show or hide columns by right-clicking on the column header.
o You can sort the directory tree by the information in each column by clicking on the column header.
o The additional size information in front of each folder name can be hidden by choosing "View > Show Details > Hide preceding values in Name column".
· TreeSize Free now uses the master file table (MFT) for scanning local NTFS drives to improve the performance especially on HDDs. The MFT is only accessible if TreeSize is started as administrator.
· The toolbar now adapts its icon size depending on the window size.
· The new option "Show time with date values" will output file dates (e.g. "Last access", "Last change") more precisely.
· Bugfix: After unchecking "Options > Show TreeSize in Explorer Context Menu", the menu item for TreeSize Free is now correctly removed from the Explorer context menu in all Windows versions.
· Bugfix: TreeSize Free no longer crashes if the Windows display scaling is set to more than 200%.
· Several minor improvements and a few minor fixes have been incorporated.

Version 2.7: Released on 31 Jan 2012

· The "Filter" dialog in the "Options" menu has been enhanced:
o Besides include filters it is now also possible to use exclude filters. This can be useful to exclude certain directories or files permanently from TreeSize Free scans.
o You can now define if matching should be done normally considering the wildcards * and ?, if an exact match should be performed, or if the pattern is treated as regular expression.
o You can decide if the given pattern should be matched against the full path or just against the object name.
· The right click menu now offers to remove a folder temporarily from TreeSize Free or to exclude it permanently from scans.
· A few minor improvements and fixes have been incorporated.

Version 2.6: Released on 13 Oct 2011

· If started as administrator, TreeSize Free is now able to calculate the size of directories you normally do not have access to, e.g. the folder "C:\System Volume Information". This should lead to more exact results and does not break Windows security because files still cannot be opened. Please note that the Personal and Professional Edition are able to calculate even more exact results, by taking NTFS Alternate Data Streams and hardlinks into account.
· The option “Show Files in Directory Tree” lets you decide whether or not individual files should be shown in the directory tree.
· It is now possible to apply NTFS compression to a directory branch and to decompress a directory branch using the right click menu.
· Two buttons have been added to the toolbar that allow navigating forward and backward, like in the Windows Explorer.
· The operations "Expand to level xxx" are now available in every subfolder's right click menu. A new option lets you decide whether or not the operations in the the "Expand" menu will be applied also to the [Files] items.
· A few minor improvements and bug fixes have been incorporated and the performance has been improved.

Version 2.5.1: Released on 16 Nov 2010

· Increased speed when expanding many folders using the new "Expand" menu and many files are involved.
· The progress of a scan is now shown in the Windows 7 taskbar.

Version 2.5: Released on 08 Nov 2010

· TreeSize Free is now able to show the NTFS compression rate in the directory tree. This adds the main feature of our discontinued tool NTFSRatio.
· A new option allows to show compressed folders in blue color. Folders that are only partially compressed will be shown in dark blue.
· It is now possible to rename files and folders in the directory tree. This can be done by using the right click menu or by pressing F2.
· A new menu "Expand" in the main menu and the right click menu of the root folder which allows to expand all subfolders up to a certain level.
· A scan can now be stopped using "File > Stop Scan".
· The layout of the main menu has been revised.
· The support for Windows 2000 has been dropped because Microsoft dropped it in July 2010. TreeSize Free V2.4, which is compatible with Windows 2000, will remain available on our website.
· A few minor improvements and bug fixes have been incorporated.

Version 2.4: Released on 10 Feb 2010

· Support for drag and drop operations has been added. They work within the directory tree as well as with the Windows Explorer.
· "View > Options > File Filter" now shows a dialog box that allows to configure the include filters more comfortably.
· The items "New instance of TreeSize Free (Ctrl+N)" and "Print Setup" have been added to the "File" menu.
· "Scan this folder" has been added to right click menu. It allows you to start a new instance of TreeSize Free that is rooted at the selected folder.
· The Explorer context menu is now also shown for the [Files] items in the directory tree. The displayed context menu will apply to all files that are summarized under this item.
· Expanding all folders using the right click menu is much faster now.
· The Windows Start menu now has a shortcut to start TreeSize Free with administrative privileges under Windows Vista and later.
· The new option "Scan with one Thread only" under "View > Options" can be used to force a scan using just a single thread. This will have less impact on the performance of your system during the scan.
· Bugfix: In case a selected file was deleted and then its folder was collapsed, an error could occur.
· Bugfix: The application settings were not deleted correctly from a system during uninstallation.

Version 2.3.3: Released on 03 Jul 2009

· Bugfix: In case a selected file was deleted and then its folder was collapsed, an error could occur if no other file or folder was selected.
· A few minor improvements have been incorporated.

Version 2.3.2: Released on 24 Jun 2009

· Bugfix: In some cases the root folder in TreeSize was not expandable.

Version 2.3.1: Released on 18 May 2009

· Folders without sub-folders are now expandable as well and show the files, similar to the [Files] items.
· A few minor improvements have been incorporated.

Version 2.3: Released on 22 Apr 2009

· The [Files] items in the directory tree are now expandable and show the individual files after being expanded.
· It is now possible to customize the gradient in the background of the tree in the Options menu.
· User settings are now stored in an XML file instead of the Windows registry.
· It is now possible to adjust the number of decimals of the size values in the View menu.
· TreeSize Free will now use up to 2 threads for scanning instead of 1. In the Personal Edition and the Professional Edition the number of threads is not limited and will be adjusted automatically based on the system load.
· Bugfix: When changing the sort type after a scan, sub-folders of non expanded directories were not sorted correctly after expanding.
· Improved performance
· Several minor bug fixes and improvements have been incorporated.

Version 2.2.1: Released on 19 May 2008

· Bugfix: The menu item added using View / Options / Show TreeSize in Explorer Context Menu was not working.
· Bugfix: On some systems deinstallation did not work.

Version 2.2: Released on 9 May 2008

· TreeSize Free is now able to handle paths with more than 255 characters when scanning the disk.
· The compatibility with 64Bit systems has been improved.
· TreeSize Free now optionally shows long tooltip windows (View / Options) with detailed information if the mouse cursor pauses over a folder for a while.
· TreeSize Free now contains an option to turn on or off its menu item in the Windows Explorer context menu (View / Options). This is now a per-user option.
· Changed Help System from "Readme.txt" to HTML based Help files.
· Minor bug fixes and improvements have been incorporated.
· The support for Windows 9x/ME has been dropped. Users of these Windows versions may still use TreeSize Free V2.1.

Version 2.1: Released on 7 May 2007

· With the new option 'Show Error Messages' (Options / View) you can now choose to prompt an error message or not, if an error occurs during a scan (e.g. access to folder denied).
· A new button was added to the toolbar that opens the selected folder in the Windows Explorer.
· The browse for folder dialog (File / Select Directory) now includes an edit box to enter the directory you want to scan instead of browsing for it.
· The "[Files]" nodes in the directory tree now also have a right click menu including an entry to open the folder that contains these files in the Windows Explorer.
· The right click menu item 'Count Folders' was renamed to 'Number of Subfolders' and is now available for all scanned sub-folders, not only for the root folder.
· BugFix: If a removable drive was scanned and TreeSize finds after a later restart that this drive does not exist anymore, an error message was shown. Now, the missing drive will be ignored.

Version 2.0: Released on 14 Mar 2007

· TreeSize Free is completely rewritten and now based on the code of the latest version of TreeSize Professional.
· Scans are performed much faster now.
· The view can be switched to GB and file count now.
· Unicode paths are now supported.
· NTFS compression is now taken into account when calculating the allocated space.
· The small size indicator bars have been replaced with a type of gradient bar chart.

Version 0.2 - 1.7.9: Published 08 Jul 1996 - 27 Nov 2006


Copyright & Contact

Copyright © 2014 Joachim Marder e.K.

JAM Software GmbH
Am Wissenschaftspark 26
54296 Trier

Germany

FAX: | +49 651-145653-29
WWW: | http://www.jam-software.com
Support: | http://www.jam-software.com/customers/contact.php
Email: | TreeSize@jam-software.com
Commercial register number: | HRB: 4920 (AG Wittlich)
VAT ID No.: | DE234825349
Managing Director: | Joachim Marder


Using TreeSize Free

1. | The menu bar provides a lot of short cuts in order to customize your scans.
2. | In the directory tree a graphical overview of the scanned drive or folder is shown. The arrows in front of each subfolder can be used to expand this view and look into the subfolders contents.
3. | The details list particularizes the scanned files. This view is optional and ca be turned off/on with the View > Show Details option.
4. | Hovering buttons and menulist entries the status bar shows hints and explanations to the functions you're about to use. In case nothing is hovered, it displays a short size overview of the scanned folder or drive.


Menubar

The Menubar enables the a quick access to the most important features of TreeSize and helps customizing your scans.

Jumps up to the parent folder of the selected entry.

Selects the folder or drive for scanning. This can be a local drive or folder as well as a network path (private NAS system, Cloud drive), in case the destination server is not part of a Windows Server domain.

refresh

Rescans the entire path that has been selected to scan.

print

Prints the report for the currently active folder or path.

open

Opens the containing folder of the selected item in Windows Explorer.

show

Defines whether the ratio of folders should be shown as

· Allocated Space
· Disc Space
· Percentual Size
· CD/DVD size
· File count
· Compressionrate

Defines the measuring unit. You can choose between KB (Kilobyte), MB (Megabyte) and GB (Gigabyte) or press the AUTO button to let TreeSize Free decide which unit of measure is the most appropriate for each file.

Choose whether to sort the directory tree by name or by size.

details

Allows to toggle between standard and detailed view of scanned directories. It is also possible to truncate additional size information in name column.


Menu

Navigation: Using TreeSize Free >

TreeSize Free - Menu

 Return to chapter overview

File

Refresh

Refreshes the currently selected scan.

Stop Scan

Stops the currently selected scan. When a scan is stopped, TreeSize Free will abort the current scan process but not remove it from the Directory Tree

New Instance

Creates an additional Instance of TreeSize Free.

Start TreeSize as Administrator

In order to give TreeSize Free complete access on all files and folders it is recommended to run TreeSize Free as Administrator.

Print report

Prints the currently visible results.

Print setup...

Configure the printer and its settings.

Exit

Exits the program or minimizes it to the system tray icon (depending on settings).

Scan

Select Directory

Starts the scanning process for a drive or folder. This can be a local drive or folder as well as a network path (private NAS system, Cloud drive), in case the destination server is not part of a Windows Server domain.

Drives and last scanned folders

Beyond the first entry a list of last scanned drives and folders is shown.

Search Tree...

Opens a file search dialog to search the whole Directory tree for folders

View

Size

Shows the size of files and folders.

Allocated Space

Shows occupied disk space on the hard disk.

Percent

Shows how much percent of the parent folder each folder occupies.

CD/DVD Size

Shows how much storage space the files and folders would occupy on an optical medium like a CD or DVD.

File Count

Shows the number of files in the selected folders.

Values in KB

Show size values in kilobyte (KB).

Values in MB

Show size values in megabyte (MB).

Values in GB

Show size values in gigabyte (GB).

Automatic Units

If this option is activated, TreeSize Free will automatically select the most appropriate size unit.

Sort > Sort by Name

Sorts the output by Name.

Sort > Sort by Size

Sorts the output by Size.

Sort > No Sorting

Do not sort the output.

Decimals

Defines, how many decimal places should be used to display size values.

Show Details

Allows to toggle between standard and detailed view of scanned directories. It is also possible to truncate additional size information in name column.

Expand

To Level ...

Using the "Expand" option, you can expand or collapse the Directory Tree to a certain directory level.

Full Expand

You can use this option to trigger a "Full expand" so that you will see any folder that is available in the current scan.

Options

Filter...

Define filtering options for TreeSize Free. Please find more detailed information in the topic "Filter".

Directory Tree > Show Long Tooltips

If activated, Tooltips with information about the file or folder will be shown in a tooltip in Directory Tree by hovering an entry

Directory Tree > Show time with date values

Defines whether date values (e.g. in "Last Modified" or "Last Access") should include exact time information.

Directory Tree > Show Compressed Files and Folders in blue

If this option is selected, compressed files on an NTFS volume are shown in a blue color. Folders that are partially compressed will have a dark blue color, files and folders that are entirely compressed will show up in a light blue color.

Directory Tree > Show Files in Directory Tree

Determines whether just folders should be shown in Directory Tree or the contained files are only displayed.

Directory Tree > Expand also [Files] items

Enable this option to extend also the [Files]-Directory when expanding the directory tree.

Scan > Show Error Messages During Scan

Use this option to decide whether TreeSize Free should show error messages during scanning. If you, for example, scan a network drive on a Windows server and don't have reading access to all folders, Windows will pop up an error message for every unreadable folder. If you don't want the scanning process interrupted by these message boxes, uncheck this check box.

Scan > Scan with one Thread only

To achieve a better performance, TreeSize Free uses multi-threading as default to scan drives and folders. This option determines to only uses one thread to run through file systems.

Size Indicators > Show Size Indicators

Determines whether the gradients should be drawn in the background of the directory tree or not

Size Indicators > Choose Gradient...

Defines the color of the drawn gradients in background

Application > Show TreeSize in Explorer Context Menu

Configures the Windows Explorer context menu integration of TreeSize Free.

Application > Always start this application as administrator

Checking for administrator priviliges every time TreeSize Free is started.

Help

Contents

Opens the help file.

Check for Update...

Checks if a newer version of this software is available.

About...

Shows recent changes.

TreeSize Professional

Learn more about TreeSize Professional

Opens the information website of TreeSize Professional in a web browser.

Download Free Trial Version

Opens the website to download the free trial version of TreeSize Professional in a web browser.


Filter

Define filtering options for TreeSize Free. If you need information about e.g. certain file types only.

How to define a filter (exclude or include)

To define a new filter, please follow these steps:

1. Click the "Add pattern" button. An entry will be created in the filters list for the new filter.
2. Decide whether this filter shall operate as an exclude or include filter using the "Action" selector of the newly created entry. An exclude filter for the pattern "*.exe" for example will make TreeSize Free to not show any files with the extension ".exe". This will also affect the calculated values such as the "Size" in the directory tree as well as any other view. An include filter, on the other hand, will make TreeSize Free show only items that match this pattern. To return to the previous example, an include filter of "*.exe" would result in a Directory Tree showing only data related to files that have the extension ".exe".
3. Define the actual pattern. You can either use simple Wildcard pattern such as "*.exe", Regular Expression patterns such as ".+\.exe$", or patterns that match full names like "notepad.exe". Please make sure that you select the matching pattern type on the "Type" selector on the right side of the window.
4. The "Match Against" selector is used to specify the element/attribute against which the pattern is compared. Patterns can either be matched against file names, (full) paths, owners, folder names, or object names. You can use the "owner" filter to, for example, include or exclude certain file owners from the TreeSize Free scan results. With the "full paths" or "folder name" filter you can include or exclude complete directory branches matching a certain pattern (e.g. "*\Program Files*"). The "file name" filter should be used when you intend to include or exclude certain file extensions (e.g. "*.tmp"), like described in step 2.

Preview the results

The "Preview" button enables you to view the results of a defined search pattern. The preview will use the currently selected pattern to show an Explorer-like view highlighting excluded and included items in appropriate colors (red and green). The following screenshot shows the results of an exclude filter for full paths that match the pattern "Program Files".